flex-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Hugo Ferreira (JIRA)" <j...@apache.org>
Subject [jira] [Created] (FLEX-34249) Bug in FlexJS (first try)
Date Wed, 23 Apr 2014 20:54:19 GMT
Hugo Ferreira created FLEX-34249:
------------------------------------

             Summary: Bug in FlexJS (first try)
                 Key: FLEX-34249
                 URL: https://issues.apache.org/jira/browse/FLEX-34249
             Project: Apache Flex
          Issue Type: Bug
    Affects Versions: Apache FlexJS 0.0.1
            Reporter: Hugo Ferreira
            Priority: Blocker


I tried (for the first time) the new FlexJS 0.0.1 from the Installer 3.0 RC 7.

I could run the sample in SWF format without major problems however when  I tried to run in
JS format I got the following error (Flash Builder 4.7):

Using Falcon codebase: /Users/xxx/Desktop/js/js/bin/../..
Using Flex SDK: /Users/xxx/Desktop/js/js/bin/../..
Exception in thread "main" java.lang.UnsupportedClassVersionError: org/apache/flex/compiler/clients/MXMLJSC
: Unsupported major.minor version 51.0
	at java.lang.ClassLoader.defineClass1(Native Method)
	at java.lang.ClassLoader.defineClassCond(ClassLoader.java:637)
	at java.lang.ClassLoader.defineClass(ClassLoader.java:621)
	at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:141)
	at java.net.URLClassLoader.defineClass(URLClassLoader.java:283)
	at java.net.URLClassLoader.access$000(URLClassLoader.java:58)
	at java.net.URLClassLoader$1.run(URLClassLoader.java:197)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.net.URLClassLoader.findClass(URLClassLoader.java:190)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:306)
	at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:301)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:247)



--
This message was sent by Atlassian JIRA
(v6.2#6252)

Mime
View raw message